//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 1 lights, 22 textures and 77 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5b.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 11/01/1997    (01.11.1997)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray exports for POV-Ray.
//





global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <0.599, -7.999, 5.968>
  direction <0.0,     0.0,  1.4693>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <-0.621, -3.047, 0.649>  // Focal blur settings
  focal_point  <-0.621, -3.047, 0.649> // Always Lookat
  aperture     0.25
  blur_samples 19
  confidence   0.9
  variance     0.01

}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <0.000, -0.100, 0.000>
  direction <0.0,     0.0,  1.8665>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.33333, 0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

*/

// *******  L I G H T S *******
light_source {   // Light001
  <-10.293, -8.127, 9.042>
  color rgb <2.271, 2.271, 2.271>
}


// ********  TEXTURES  *******
//

#include "writing2.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******

//
// Include file contains 'RotSwp7'
//
#include "writing2.in1"
#declare RotSwp7 = object {
  RotSwp7_Raw
  texture {
    Black_Ink_Well_Cap
  }
}
//
// Include file contains 'RotSwp8'
//
#include "writing2.in2"
#declare RotSwp8 = object {
  RotSwp8_Raw
  texture {
    green_ink
  }
}
//
// Include file contains 'RotSwp9'
//
#include "writing2.in3"
#declare RotSwp9 = object {
  RotSwp9_Raw
  texture {
    GlassTexture
  }
}
union { // Green_Ink_Bottle
  object { RotSwp7 }
  object { RotSwp8 }
  object { RotSwp9 }
  disc { // Green_Sticker
    <0,0,0>, <0,0,1>, 1.0
    texture {
      Green_sticker
    }
    scale 0.1
    rotate 0.0*z
    translate  <-0.007788, -0.066757, 0.771651>
  }
  translate  <1.060448, 1.132309, 1.0>
}


#include "C:\APPL\MORAY\POVSCN\bday.inc"

#declare ttf_24_Ref = object {
  ttf_00000
  translate  <0.700259, 0.153309, 0.5>
}
#declare ttf_25_Ref = object {
  ttf_00001
  translate  <1.24225, 0.349885, 0.5>
}
#declare ttf_26_Ref = object {
  ttf_00002
  translate  <1.616067, 0.23943, 0.5>
}
#declare ttf_27_Ref = object {
  ttf_00003
  translate  <1.953655, 0.30738, 0.5>
}
#declare ttf_28_Ref = object {
  ttf_00004
  translate  <2.362095, 0.195787, 0.5>
}
#declare ttf_29_Ref = object {
  ttf_00005
  translate  <2.818921, 0.21123, 0.5>
}
#declare ttf_30_Ref = object {
  ttf_00006
  translate  <3.329617, 0.184923, 0.5>
}
#declare ttf_31_Ref = object {
  ttf_00007
  translate  <3.765359, 0.089134, 0.5>
}
union { // bday
  object { ttf_24_Ref }
  object { ttf_25_Ref }
  object { ttf_26_Ref }
  object { ttf_27_Ref }
  object { ttf_28_Ref }
  object { ttf_29_Ref }
  object { ttf_30_Ref }
  object { ttf_31_Ref }
  texture {
    blue_writing
  }
  scale <1.0, 1.0, 0.001>
  rotate 42.124462*z
  translate  <-1.797696, -3.707747, 0.0>
}


#include "C:\APPL\MORAY\POVSCN\happy.inc"

#declare ttf_19_Ref = object {
  ttf_00000
  translate  <0.425276, 0.171061, 0.5>
}
#declare ttf_20_Ref = object {
  ttf_00001
  translate  <1.028347, 0.184923, 0.5>
}
#declare ttf_21_Ref = object {
  ttf_00002
  translate  <1.496853, 0.181993, 0.5>
}
#declare ttf_22_Ref = object {
  ttf_00003
  translate  <1.96365, 0.181993, 0.5>
}
#declare ttf_23_Ref = object {
  ttf_00004
  translate  <2.435281, 0.089134, 0.5>
}
union { // happy
  object { ttf_19_Ref }
  object { ttf_20_Ref }
  object { ttf_21_Ref }
  object { ttf_22_Ref }
  object { ttf_23_Ref }
  texture {
    red_writing
  }
  scale <1.0, 1.0, 0.0001>
  rotate 45.391346*z
  translate  <-1.94386, -2.377124, 0.001388>
}


//
// Include file contains 'RotSwp4'
//
#include "writing2.in4"
#declare RotSwp4 = object {
  RotSwp4_Raw
  texture {
    Black_Ink_Well_Cap
  }
}
//
// Include file contains 'RotSwp5'
//
#include "writing2.in5"
#declare RotSwp5 = object {
  RotSwp5_Raw
  texture {
    blue_ink
  }
}
//
// Include file contains 'RotSwp6'
//
#include "writing2.in6"
#declare RotSwp6 = object {
  RotSwp6_Raw
  texture {
    GlassTexture
  }
}
union { // Blue_Ink_Bottle
  object { RotSwp4 }
  object { RotSwp5 }
  object { RotSwp6 }
  disc { // Blue_Sticker
    <0,0,0>, <0,0,1>, 1.0
    texture {
      blue_sticker
    }
    scale 0.1
    rotate 0.0*z
    translate  <-0.007788, -0.066757, 0.771651>
  }
  translate  <-2.366409, -5.440515, 1.0>
}


//
// Include file contains 'RotSwp3'
//
#include "writing2.in7"
#declare RotSwp3 = object {
  RotSwp3_Raw
  texture {
    Black_Ink_Well_Cap
  }
}
//
// Include file contains 'RotSwp2'
//
#include "writing2.in8"
#declare RotSwp2 = object {
  RotSwp2_Raw
  texture {
    red_ink
  }
}
//
// Include file contains 'RotSwp001'
//
#include "writing2.in9"
#declare RotSwp001 = object {
  RotSwp001_Raw
  texture {
    GlassTexture
  }
}
union { // Red_Ink_Bottle
  object { RotSwp3 }
  object { RotSwp2 }
  object { RotSwp001 }
  disc { // Red_Sticker
    <0,0,0>, <0,0,1>, 1.0
    texture {
      red_sticker
    }
    scale 0.1
    rotate 0.0*z
    translate  <-0.007788, -0.066757, 0.771651>
  }
  translate  <1.761123, -1.568935, 1.0>
}


//
// Include file contains 'water'
//
#include "writing2.i10"
#declare water = object {
  water_Raw
  texture {
    water_texture
  }
  scale 2.0
}
//
// Include file contains 'DrinkingGlass'
//
#include "writing2.i11"
#declare DrinkingGlass = object {
  DrinkingGlass_Raw
  texture {
    GlassTexture
  }
  scale 2.0
}
union { // GlassOfWater
  object { water }
  object { DrinkingGlass }
  translate  <-3.150016, -2.425797, 1.0>
}


object { // BzPtch001
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.960454, 0.016828, 0.000000>, <-1.000000, -2.000000, 0.000000>, <0.000000, -2.000000, 0.000000>, <-0.014709, -0.724358, 0.911264>, 
      <-2.094448, -1.000000, 1.227821>, <-1.014556, -1.000000, -5.662323>, <-1.164488, -1.000000, -0.393015>, <-3.468659, 1.412285, 0.000000>, 
      <3.083056, -0.118637, -0.521799>, <-1.378459, 0.000000, -0.247454>, <-0.684137, 0.000000, 0.829698>, <1.000000, 0.000000, 0.000000>, 
      <-0.159802, 0.371201, 0.730780>, <-1.000000, 1.000000, 0.000000>, <0.000000, 1.000000, 0.000000>, <-0.775844, -1.296004, -0.064407>
    }
  }
  texture {
    Paper
  }
  rotate <-37.451839, 21.527889, 0.0>
  translate  <-1.454563, 0.582601, 0.175615>
}




box { // paper
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Letter_to_mom
    scale <1.988125, 2.010963, 1.0>
  translate <-1.004873, -1.010963, 0.000000>
  }
  scale <3.0, 4.125, 0.00075>
  translate  <0.196915, -1.827051, 0.0>
}


object { // Crumpledpaper
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <0.459993, 0.338016, 0.409830>, <-0.418223, 0.231558, 0.637800>, <-0.376903, -0.530370, 0.529567>, <0.155956, 0.598435, 0.225735>, 
      <0.158885, -0.703716, 0.009996>, <-0.391157, -0.188210, 0.000000>, <0.975147, 0.070441, 0.000000>, <0.652090, -0.536120, 0.000000>, 
      <0.142835, 0.000000, -0.039682>, <-1.343222, 0.000000, 0.359964>, <0.000000, -0.116390, 0.744896>, <0.492174, 0.577654, 0.420414>, 
      <0.028018, 0.565112, -0.152436>, <-0.246195, 0.720380, 0.202049>, <0.000000, -0.000954, 0.465560>, <0.261980, 0.434261, 0.412585>
    }
  }
  texture {
    Paper
  }
  scale 3.0
  rotate <15.29301, -34.555813, 64.990227>
  translate  <-7.238017, -5.139584, -0.029028>
}


#declare Pen_tip = lathe {
  linear_spline
  4  // control points
  <0.007992, -0.229988>,
  <0.010155, -0.226673>,
  <0.019844, -0.180172>,
  <0.019908, 0.000123>
  rotate <90,0,90>
  texture {
    PenTip_Metal
  }
  translate  -2.2*z
}
// Include contains 'Pen_clipstop'
#include "writing2.i12"

#declare Pen_clipstop = object {
  Pen_clipstop_Raw
  texture {
    Transparent_Plastic
  }
  scale <1.0, 1.0, 0.02>
  rotate <90.0, 0.0, -90.0>
  translate  <0.01, 0.202065, -0.370724>
}
//
// Include file contains 'Pen_widering'
//
#include "writing2.i13"
#declare Pen_widering = object {
  Pen_widering_Raw
  texture {
    Transparent_Plastic
  }
  translate  0.729667*z
}
//
// Include file contains 'Pen_clicktop'
//
#include "writing2.i14"
#declare Pen_clicktop = object {
  Pen_clicktop_Raw
  texture {
    Blue_Plastic
  }
  translate  1.06*z
}
//
// Include file contains 'Pen_tipcase'
//
#include "writing2.i15"
#declare Pen_tipcase = object {
  Pen_tipcase_Raw
  texture {
    Transparent_Plastic
  }
  translate  -2.195*z
}
//
// Include file contains 'Pen_lowerbody'
//
#include "writing2.i16"
#declare Pen_lowerbody = object {
  Pen_lowerbody_Raw
  texture {
    Gray_Rubber
  }
  translate  -1.52*z
}
//
// Include file contains 'Pen_ring'
//
#include "writing2.i17"
#declare Pen_ring = object {
  Pen_ring_Raw
  texture {
    Transparent_Plastic
  }
  translate  -1.01*z
}
//
// Include file contains 'Pen_body'
//
#include "writing2.i18"
#declare Pen_body = object {
  Pen_body_Raw
  texture {
    Blue_Plastic
  }
}
#include "C:\APPL\MORAY\POVSCN\test2.inc"

#declare ttf_1_Ref = object {
  ttf_00000
  translate  <0.347554, 0.347736, 0.5>
}
#declare ttf_2_Ref = object {
  ttf_00001
  translate  <0.921061, 0.349609, 0.5>
}
#declare ttf_3_Ref = object {
  ttf_00002
  translate  <1.514648, 0.266764, 0.5>
}
#declare ttf_4_Ref = object {
  ttf_00003
  translate  <2.070801, 0.266764, 0.5>
}
#declare ttf_5_Ref = object {
  ttf_00004
  translate  <2.771738, 0.493184, 0.5>
}
#declare ttf_6_Ref = object {
  ttf_00005
  translate  <3.44329, 0.355765, 0.5>
}
#declare ttf_00006_Ref = object {
  ttf_00006
  translate  <3.958496, 0.35791, 0.5>
}
#declare ttf_8_Ref = object {
  ttf_00007
  translate  <4.453857, 0.357959, 0.5>
}
#declare ttf_9_Ref = object {
  ttf_00008
  translate  <5.124756, 0.494629, 0.5>
}
#declare ttf_00010_Ref = object {
  ttf_00010
  translate  <6.105234, 0.493184, 0.5>
}
#declare ttf_00011_Ref = object {
  ttf_00011
  translate  <6.741292, 0.361979, 0.5>
}
#declare ttf_00012_Ref = object {
  ttf_00012
  translate  <7.398682, 0.357959, 0.5>
}
#declare TXT_BALLPEN = union {
  object { ttf_1_Ref }
  object { ttf_2_Ref }
  object { ttf_3_Ref }
  object { ttf_4_Ref }
  object { ttf_5_Ref }
  object { ttf_6_Ref }
  object { ttf_00006_Ref }
  object { ttf_8_Ref }
  object { ttf_9_Ref }
  object { ttf_00010_Ref }
  object { ttf_00011_Ref }
  object { ttf_00012_Ref }
  texture {
    Letters
  }
  scale <0.03, 0.03, 0.005>
  rotate <0.0, -89.068108, -89.999992>
  translate  <0.028093, 0.231015, 0.265497>
}
#include "C:\APPL\MORAY\POVSCN\test4.inc"

#declare ttf_14_Ref = object {
  ttf_00000
  translate  <0.223524, 0.175184, 0.5>
}
#declare ttf_15_Ref = object {
  ttf_00001
  translate  <0.800456, 0.349609, 0.5>
}
#declare ttf_16_Ref = object {
  ttf_00002
  translate  <1.538828, 0.493184, 0.5>
}
#declare ttf_17_Ref = object {
  ttf_00003
  translate  <2.060221, 0.349609, 0.5>
}
#declare ttf_18_Ref = object {
  ttf_00004
  translate  <2.832275, 0.357959, 0.5>
}
#declare TXT_JAPAN = union {
  object { ttf_14_Ref }
  object { ttf_15_Ref }
  object { ttf_16_Ref }
  object { ttf_17_Ref }
  object { ttf_18_Ref }
  texture {
    Letters
  }
  scale <0.05, 0.05, 0.005>
  rotate <0.000001, -87.269081, -90.0>
  translate  <-0.015198, 0.224779, 0.550865>
}
#include "C:\APPL\MORAY\POVSCN\test3.inc"

#declare ttf_7_Ref = object {
  ttf_00000
  translate  <0.293115, 0.359619, 0.5>
}
#declare ttf_10_Ref = object {
  ttf_00001
  translate  <0.984212, 0.36377, 0.5>
}
#declare ttf_11_Ref = object {
  ttf_00002
  translate  <1.716938, 0.358594, 0.5>
}
#declare ttf_12_Ref = object {
  ttf_00003
  translate  <2.418874, 0.393483, 0.5>
}
#declare ttf_13_Ref = object {
  ttf_00004
  translate  <3.067472, 0.261097, 0.5>
}
#declare TXT_ZEBRA = union {
  object { ttf_7_Ref }
  object { ttf_10_Ref }
  object { ttf_11_Ref }
  object { ttf_12_Ref }
  object { ttf_13_Ref }
  texture {
    Letters
  }
  scale <0.07, 0.07, 0.005>
  rotate <0.000058, -88.978638, -90.000069>
  translate  <-0.052603, 0.23076, 0.262792>
}
#include "C:\APPL\MORAY\POVSCN\test.inc"

#declare ttf_00000_Ref = object {
  ttf_00000
  translate  <0.321543, 0.493184, 0.5>
}
#declare ttf_00001_Ref = object {
  ttf_00001
  translate  <0.993094, 0.355765, 0.5>
}
#declare ttf_00002_Ref = object {
  ttf_00002
  translate  <1.699396, 0.327637, 0.5>
}
#declare ttf_00003_Ref = object {
  ttf_00003
  translate  <2.469796, 0.383273, 0.5>
}
#declare ttf_00004_Ref = object {
  ttf_00004
  translate  <3.084147, 0.349609, 0.5>
}
#declare ttf_00005_Ref = object {
  ttf_00005
  translate  <3.680213, 0.440655, 0.5>
}
#declare ttf_00007_Ref = object {
  ttf_00007
  translate  <4.666349, 0.37318, 0.5>
}
#declare ttf_00008_Ref = object {
  ttf_00008
  translate  <5.065674, 0.050049, 0.5>
}
#declare ttf_00009_Ref = object {
  ttf_00009
  translate  <5.478825, 0.366732, 0.5>
}
#declare TXT_POVRAY = union {
  object { ttf_00000_Ref }
  object { ttf_00001_Ref }
  object { ttf_00002_Ref }
  object { ttf_00003_Ref }
  object { ttf_00004_Ref }
  object { ttf_00005_Ref }
  object { ttf_00007_Ref }
  object { ttf_00008_Ref }
  object { ttf_00009_Ref }
  texture {
    Letters
  }
  scale <0.1, 0.1, 0.005>
  rotate <180.0, -89.123154, 90.0>
  translate  <-0.03137, 0.22215, -0.403306>
}
union { // Pen
  cylinder { // Ink_casing
    <0,0,1>, <0,0,0>, 1 
    texture {
      Plastic_ink_casing
    }
    scale <0.03, 0.03, 0.3>
    translate  -2.231214*z
  }
  cylinder { // Ink
    <0,0,1>, <0,0,0>, 1 
    texture {
      BlackInk
    }
    scale <0.02, 0.02, 0.2>
    translate  -2.199712*z
  }
  sphere { // Pen_ball
    <0,0,0>,1
    texture {
      PenTip_Metal
    }
    scale 0.008
    translate  -2.427397*z
  }
  object { Pen_tip }
  object { Pen_clipstop }
  box { // Pen_clipcon2
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Transparent_Plastic
    }
    scale <0.01, 0.033404, 0.06931>
    translate  <0.0199, 0.164948, 0.723>
  }
  box { // Pen_clipcon1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Transparent_Plastic
    }
    scale <0.01, 0.042456, 0.06931>
    translate  <-0.0199, 0.155895, 0.723>
  }
  superellipsoid { // Pen_clip
    <0.1, 1.0>
    texture {
      Transparent_Plastic
    }
    scale <0.1, 0.03, 0.7>
    translate  <0.0, 0.203597, 0.132419>
  }
  object { Pen_widering }
  object { Pen_clicktop }
  object { Pen_tipcase }
  object { Pen_lowerbody }
  object { Pen_ring }
  object { Pen_body }
  object { TXT_BALLPEN }
  object { TXT_JAPAN }
  object { TXT_ZEBRA }
  object { TXT_POVRAY }
  rotate <90.0, -33.334267, 33.582432>
  translate  <0.950924, -3.358071, 0.138356>
}


plane { // Plane001
  z,0
  texture {
    White
  }
  translate  -0.01*z
}


